#include <bits/stdc++.h>
using namespace std;
ifstream fi("DQNP.INP");
ofstream fo("DQNP.OUT");
void np(int a)
{
	if (a>0)
	{
    	if (a/2>0)
    	np(a/2);
    	fo<<a%2;
	}
}
int main()
{
	int n;
	fi>>n;
	np(n);
}
